<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");


require_once("include/dbcommon.php");
require_once('classes/menupage.php');


Security::processLogoutRequest();
if( !isLogged() || Security::isGuest() ) 
{
	Security::tryRelogin();
}

if( !isLogged() )
{
	HeaderRedirect("login");
	return;
}


if (($_SESSION["MyURL"] == "") || (!Security::isGuest())) {
	Security::saveRedirectURL();
}


require_once('include/xtempl.php');
require_once(getabspath("classes/cipherer.php"));

include_once(getabspath("include/business_partner_events.php"));
$tableEvents["business_partner"] = new eventclass_business_partner;
include_once(getabspath("include/item_events.php"));
$tableEvents["item"] = new eventclass_item;
include_once(getabspath("include/credit_terms_events.php"));
$tableEvents["credit_terms"] = new eventclass_credit_terms;
include_once(getabspath("include/cash_receipt_events.php"));
$tableEvents["cash_receipt"] = new eventclass_cash_receipt;
include_once(getabspath("include/purchase_events.php"));
$tableEvents["purchase"] = new eventclass_purchase;
include_once(getabspath("include/cash_disbursment_events.php"));
$tableEvents["cash_disbursment"] = new eventclass_cash_disbursment;
include_once(getabspath("include/general_journal_events.php"));
$tableEvents["general_journal"] = new eventclass_general_journal;
include_once(getabspath("include/system_user_events.php"));
$tableEvents["system_user"] = new eventclass_system_user;
include_once(getabspath("include/fiscal_year_events.php"));
$tableEvents["fiscal_year"] = new eventclass_fiscal_year;
include_once(getabspath("include/beg_bal_events.php"));
$tableEvents["beg_bal"] = new eventclass_beg_bal;
include_once(getabspath("include/bank_events.php"));
$tableEvents["bank"] = new eventclass_bank;
include_once(getabspath("include/cost_center_events.php"));
$tableEvents["cost_center"] = new eventclass_cost_center;
include_once(getabspath("include/accounting_period_events.php"));
$tableEvents["accounting_period"] = new eventclass_accounting_period;
include_once(getabspath("include/bank_recon_events.php"));
$tableEvents["bank_recon"] = new eventclass_bank_recon;
include_once(getabspath("include/deposit_events.php"));
$tableEvents["deposit"] = new eventclass_deposit;
include_once(getabspath("include/chart_of_accounts_events.php"));
$tableEvents["chart_of_accounts"] = new eventclass_chart_of_accounts;
include_once(getabspath("include/recon_CR_events.php"));
$tableEvents["recon_CR"] = new eventclass_recon_CR;
include_once(getabspath("include/Recon_deposit_events.php"));
$tableEvents["Recon_deposit"] = new eventclass_Recon_deposit;
include_once(getabspath("include/Recon_CV_events.php"));
$tableEvents["Recon_CV"] = new eventclass_Recon_CV;
include_once(getabspath("include/Recon_GV_dep_events.php"));
$tableEvents["Recon_GV_dep"] = new eventclass_Recon_GV_dep;
include_once(getabspath("include/Recon_GV_CV_events.php"));
$tableEvents["Recon_GV_CV"] = new eventclass_Recon_GV_CV;
include_once(getabspath("include/dr_events.php"));
$tableEvents["dr"] = new eventclass_dr;
include_once(getabspath("include/purchase_order_events.php"));
$tableEvents["purchase_order"] = new eventclass_purchase_order;
include_once(getabspath("include/purchase_order_receiving_events.php"));
$tableEvents["purchase_order_receiving"] = new eventclass_purchase_order_receiving;
include_once(getabspath("include/System_preference_events.php"));
$tableEvents["System_preference"] = new eventclass_System_preference;
include_once(getabspath("include/ppe_list_events.php"));
$tableEvents["ppe_list"] = new eventclass_ppe_list;
include_once(getabspath("include/meetings_events.php"));
$tableEvents["meetings"] = new eventclass_meetings;
include_once(getabspath("include/campaign_events.php"));
$tableEvents["campaign"] = new eventclass_campaign;
include_once(getabspath("include/reimbursement_events.php"));
$tableEvents["reimbursement"] = new eventclass_reimbursement;
include_once(getabspath("include/reimbursement_detail_events.php"));
$tableEvents["reimbursement_detail"] = new eventclass_reimbursement_detail;
include_once(getabspath("include/Target_customers_events.php"));
$tableEvents["Target_customers"] = new eventclass_Target_customers;
include_once(getabspath("include/quotation_events.php"));
$tableEvents["quotation"] = new eventclass_quotation;
include_once(getabspath("include/case_events.php"));
$tableEvents["case"] = new eventclass_case;
include_once(getabspath("include/production_events.php"));
$tableEvents["production"] = new eventclass_production;
include_once(getabspath("include/issue_events.php"));
$tableEvents["issue"] = new eventclass_issue;
include_once(getabspath("include/issue_detail_events.php"));
$tableEvents["issue_detail"] = new eventclass_issue_detail;
include_once(getabspath("include/disposed_events.php"));
$tableEvents["disposed"] = new eventclass_disposed;
include_once(getabspath("include/disposed_detail_events.php"));
$tableEvents["disposed_detail"] = new eventclass_disposed_detail;
include_once(getabspath("include/backload_events.php"));
$tableEvents["backload"] = new eventclass_backload;
include_once(getabspath("include/backload_detail_events.php"));
$tableEvents["backload_detail"] = new eventclass_backload_detail;
include_once(getabspath("include/trip_ticket_events.php"));
$tableEvents["trip_ticket"] = new eventclass_trip_ticket;
include_once(getabspath("include/approver_list_events.php"));
$tableEvents["approver_list"] = new eventclass_approver_list;
include_once(getabspath("include/currency_events.php"));
$tableEvents["currency"] = new eventclass_currency;
include_once(getabspath("include/fixed_asset_return_detail_events.php"));
$tableEvents["fixed_asset_return_detail"] = new eventclass_fixed_asset_return_detail;
include_once(getabspath("include/fixed_assets_return_events.php"));
$tableEvents["fixed_assets_return"] = new eventclass_fixed_assets_return;
include_once(getabspath("include/Prospect_customers_events.php"));
$tableEvents["Prospect_customers"] = new eventclass_Prospect_customers;
include_once(getabspath("include/trip_detail_events.php"));
$tableEvents["trip_detail"] = new eventclass_trip_detail;
include_once(getabspath("include/beg_baldetail_events.php"));
$tableEvents["beg_baldetail"] = new eventclass_beg_baldetail;
include_once(getabspath("include/cash_disbursement_detail2_events.php"));
$tableEvents["cash_disbursement_detail2"] = new eventclass_cash_disbursement_detail2;
include_once(getabspath("include/cash_disbursment_detail_events.php"));
$tableEvents["cash_disbursment_detail"] = new eventclass_cash_disbursment_detail;
include_once(getabspath("include/cash_receipt_detail_events.php"));
$tableEvents["cash_receipt_detail"] = new eventclass_cash_receipt_detail;
include_once(getabspath("include/cash_receipt_detail2_events.php"));
$tableEvents["cash_receipt_detail2"] = new eventclass_cash_receipt_detail2;
include_once(getabspath("include/general_journal_detail_events.php"));
$tableEvents["general_journal_detail"] = new eventclass_general_journal_detail;
include_once(getabspath("include/employee_list_events.php"));
$tableEvents["employee_list"] = new eventclass_employee_list;
include_once(getabspath("include/petty_cash_events.php"));
$tableEvents["petty_cash"] = new eventclass_petty_cash;
include_once(getabspath("include/petty_cash_detail_events.php"));
$tableEvents["petty_cash_detail"] = new eventclass_petty_cash_detail;
include_once(getabspath("include/center_replenishment_events.php"));
$tableEvents["center_replenishment"] = new eventclass_center_replenishment;
include_once(getabspath("include/center_replenishment_detail_events.php"));
$tableEvents["center_replenishment_detail"] = new eventclass_center_replenishment_detail;
include_once(getabspath("include/credit_memo_events.php"));
$tableEvents["credit_memo"] = new eventclass_credit_memo;
include_once(getabspath("include/credit_memo_detail_events.php"));
$tableEvents["credit_memo_detail"] = new eventclass_credit_memo_detail;
include_once(getabspath("include/debit_memo_events.php"));
$tableEvents["debit_memo"] = new eventclass_debit_memo;
include_once(getabspath("include/debit_memo_detail_events.php"));
$tableEvents["debit_memo_detail"] = new eventclass_debit_memo_detail;
include_once(getabspath("include/project_replenishment_events.php"));
$tableEvents["project_replenishment"] = new eventclass_project_replenishment;
include_once(getabspath("include/project_replenishment_detail_events.php"));
$tableEvents["project_replenishment_detail"] = new eventclass_project_replenishment_detail;
include_once(getabspath("include/Sales_Representatives_events.php"));
$tableEvents["Sales_Representatives"] = new eventclass_Sales_Representatives;
include_once(getabspath("include/sales_events.php"));
$tableEvents["sales"] = new eventclass_sales;
include_once(getabspath("include/sales_detail_events.php"));
$tableEvents["sales_detail"] = new eventclass_sales_detail;
include_once(getabspath("include/item_bill_of_materials_events.php"));
$tableEvents["item_bill_of_materials"] = new eventclass_item_bill_of_materials;
include_once(getabspath("include/deposit_detail_events.php"));
$tableEvents["deposit_detail"] = new eventclass_deposit_detail;
include_once(getabspath("include/purchase_detail_events.php"));
$tableEvents["purchase_detail"] = new eventclass_purchase_detail;
include_once(getabspath("include/dr_detail_events.php"));
$tableEvents["dr_detail"] = new eventclass_dr_detail;
include_once(getabspath("include/purchase_order_detail_events.php"));
$tableEvents["purchase_order_detail"] = new eventclass_purchase_order_detail;
include_once(getabspath("include/Sales_Order_for_checking_events.php"));
$tableEvents["Sales_Order_for_checking"] = new eventclass_Sales_Order_for_checking;
include_once(getabspath("include/sales_order_detail_for_checking_events.php"));
$tableEvents["sales_order_detail_for_checking"] = new eventclass_sales_order_detail_for_checking;
include_once(getabspath("include/Sales_Order_for_approval_events.php"));
$tableEvents["Sales_Order_for_approval"] = new eventclass_Sales_Order_for_approval;
include_once(getabspath("include/sales_order_detail_for_approval_events.php"));
$tableEvents["sales_order_detail_for_approval"] = new eventclass_sales_order_detail_for_approval;
include_once(getabspath("include/Quotation_for_approval_events.php"));
$tableEvents["Quotation_for_approval"] = new eventclass_Quotation_for_approval;
include_once(getabspath("include/Quotation_for_checking_events.php"));
$tableEvents["Quotation_for_checking"] = new eventclass_Quotation_for_checking;
include_once(getabspath("include/quotation_detail_for_checking_events.php"));
$tableEvents["quotation_detail_for_checking"] = new eventclass_quotation_detail_for_checking;
include_once(getabspath("include/quotation_detail_for_approval_events.php"));
$tableEvents["quotation_detail_for_approval"] = new eventclass_quotation_detail_for_approval;
include_once(getabspath("include/Reimbursement_for_checking_events.php"));
$tableEvents["Reimbursement_for_checking"] = new eventclass_Reimbursement_for_checking;
include_once(getabspath("include/reimbursement_detail_for_checking_events.php"));
$tableEvents["reimbursement_detail_for_checking"] = new eventclass_reimbursement_detail_for_checking;
include_once(getabspath("include/Reimbursement_for_approval_events.php"));
$tableEvents["Reimbursement_for_approval"] = new eventclass_Reimbursement_for_approval;
include_once(getabspath("include/reimbursement_detail_for_approval_events.php"));
$tableEvents["reimbursement_detail_for_approval"] = new eventclass_reimbursement_detail_for_approval;
include_once(getabspath("include/Project_Replenishment_for_checking_events.php"));
$tableEvents["Project_Replenishment_for_checking"] = new eventclass_Project_Replenishment_for_checking;
include_once(getabspath("include/project_replenishment_detail_for_checking_events.php"));
$tableEvents["project_replenishment_detail_for_checking"] = new eventclass_project_replenishment_detail_for_checking;
include_once(getabspath("include/Project_Replenishment_for_approval_events.php"));
$tableEvents["Project_Replenishment_for_approval"] = new eventclass_Project_Replenishment_for_approval;
include_once(getabspath("include/project_replenishment_detail_for_approval_events.php"));
$tableEvents["project_replenishment_detail_for_approval"] = new eventclass_project_replenishment_detail_for_approval;
include_once(getabspath("include/center_replenishment_detail_for_checking_events.php"));
$tableEvents["center_replenishment_detail_for_checking"] = new eventclass_center_replenishment_detail_for_checking;
include_once(getabspath("include/center_replenishment_detail_for_approval_events.php"));
$tableEvents["center_replenishment_detail_for_approval"] = new eventclass_center_replenishment_detail_for_approval;
include_once(getabspath("include/Purchases_Order_for_checking2_events.php"));
$tableEvents["Purchases_Order_for_checking2"] = new eventclass_Purchases_Order_for_checking2;
include_once(getabspath("include/Purchases_Order_for_approval2_events.php"));
$tableEvents["Purchases_Order_for_approval2"] = new eventclass_Purchases_Order_for_approval2;
include_once(getabspath("include/Receiving_for_checking2_events.php"));
$tableEvents["Receiving_for_checking2"] = new eventclass_Receiving_for_checking2;
include_once(getabspath("include/Receiving_for_approval2_events.php"));
$tableEvents["Receiving_for_approval2"] = new eventclass_Receiving_for_approval2;
include_once(getabspath("include/Delivery_Receipt_for_checking_events.php"));
$tableEvents["Delivery_Receipt_for_checking"] = new eventclass_Delivery_Receipt_for_checking;
include_once(getabspath("include/Delivery_Receipt_for_approval_events.php"));
$tableEvents["Delivery_Receipt_for_approval"] = new eventclass_Delivery_Receipt_for_approval;
include_once(getabspath("include/Production_for_checking_events.php"));
$tableEvents["Production_for_checking"] = new eventclass_Production_for_checking;
include_once(getabspath("include/Production_for_approval_events.php"));
$tableEvents["Production_for_approval"] = new eventclass_Production_for_approval;
include_once(getabspath("include/Issue_for_checking_events.php"));
$tableEvents["Issue_for_checking"] = new eventclass_Issue_for_checking;
include_once(getabspath("include/Issue_for_approval_events.php"));
$tableEvents["Issue_for_approval"] = new eventclass_Issue_for_approval;
include_once(getabspath("include/Return_for_checking_events.php"));
$tableEvents["Return_for_checking"] = new eventclass_Return_for_checking;
include_once(getabspath("include/Return_for_approval_events.php"));
$tableEvents["Return_for_approval"] = new eventclass_Return_for_approval;
include_once(getabspath("include/Disposal_for_approval_events.php"));
$tableEvents["Disposal_for_approval"] = new eventclass_Disposal_for_approval;
include_once(getabspath("include/Fixed_Asset_Issue_for_checking_events.php"));
$tableEvents["Fixed_Asset_Issue_for_checking"] = new eventclass_Fixed_Asset_Issue_for_checking;
include_once(getabspath("include/Fixed_Asset_Issue_for_approval_events.php"));
$tableEvents["Fixed_Asset_Issue_for_approval"] = new eventclass_Fixed_Asset_Issue_for_approval;
include_once(getabspath("include/Fixed_Asset_Return_for_checking_events.php"));
$tableEvents["Fixed_Asset_Return_for_checking"] = new eventclass_Fixed_Asset_Return_for_checking;
include_once(getabspath("include/Fixed_Asset_Return_for_approval1_events.php"));
$tableEvents["Fixed_Asset_Return_for_approval"] = new eventclass_Fixed_Asset_Return_for_approval1;
include_once(getabspath("include/Petty_Cash_for_checking_events.php"));
$tableEvents["Petty_Cash_for_checking"] = new eventclass_Petty_Cash_for_checking;
include_once(getabspath("include/petty_cash_detail_for_checking_events.php"));
$tableEvents["petty_cash_detail_for_checking"] = new eventclass_petty_cash_detail_for_checking;
include_once(getabspath("include/Petty_Cash_for_approval_events.php"));
$tableEvents["Petty_Cash_for_approval"] = new eventclass_Petty_Cash_for_approval;
include_once(getabspath("include/petty_cash_detail_for_approval_events.php"));
$tableEvents["petty_cash_detail_for_approval"] = new eventclass_petty_cash_detail_for_approval;
include_once(getabspath("include/Deposit_for_checking_events.php"));
$tableEvents["Deposit_for_checking"] = new eventclass_Deposit_for_checking;
include_once(getabspath("include/Deposit_for_approval_events.php"));
$tableEvents["Deposit_for_approval"] = new eventclass_Deposit_for_approval;
include_once(getabspath("include/Credit_Memo_for_checking_events.php"));
$tableEvents["Credit_Memo_for_checking"] = new eventclass_Credit_Memo_for_checking;
include_once(getabspath("include/credit_memo_detail_for_checking_events.php"));
$tableEvents["credit_memo_detail_for_checking"] = new eventclass_credit_memo_detail_for_checking;
include_once(getabspath("include/Credit_Memo_for_approval_events.php"));
$tableEvents["Credit_Memo_for_approval"] = new eventclass_Credit_Memo_for_approval;
include_once(getabspath("include/credit_memo_detail_for_approval_events.php"));
$tableEvents["credit_memo_detail_for_approval"] = new eventclass_credit_memo_detail_for_approval;
include_once(getabspath("include/Debit_Memo_for_checking_events.php"));
$tableEvents["Debit_Memo_for_checking"] = new eventclass_Debit_Memo_for_checking;
include_once(getabspath("include/debit_memo_detail_for_checking_events.php"));
$tableEvents["debit_memo_detail_for_checking"] = new eventclass_debit_memo_detail_for_checking;
include_once(getabspath("include/debit_memo_for_approval_events.php"));
$tableEvents["debit_memo_for_approval"] = new eventclass_debit_memo_for_approval;
include_once(getabspath("include/debit_memo_detail_for_approval_events.php"));
$tableEvents["debit_memo_detail_for_approval"] = new eventclass_debit_memo_detail_for_approval;
include_once(getabspath("include/Purchases_for_checking_events.php"));
$tableEvents["Purchases_for_checking"] = new eventclass_Purchases_for_checking;
include_once(getabspath("include/credit_purchase_detail_for_checking_events.php"));
$tableEvents["credit_purchase_detail_for_checking"] = new eventclass_credit_purchase_detail_for_checking;
include_once(getabspath("include/Purchases_for_approval_events.php"));
$tableEvents["Purchases_for_approval"] = new eventclass_Purchases_for_approval;
include_once(getabspath("include/credit_purchase_detail_for_approval_events.php"));
$tableEvents["credit_purchase_detail_for_approval"] = new eventclass_credit_purchase_detail_for_approval;
include_once(getabspath("include/Sales_for_checking_events.php"));
$tableEvents["Sales_for_checking"] = new eventclass_Sales_for_checking;
include_once(getabspath("include/Sales_for_approval_events.php"));
$tableEvents["Sales_for_approval"] = new eventclass_Sales_for_approval;
include_once(getabspath("include/credit_sales_detail_for_checking_events.php"));
$tableEvents["credit_sales_detail_for_checking"] = new eventclass_credit_sales_detail_for_checking;
include_once(getabspath("include/credit_sales_detail_for_approval_events.php"));
$tableEvents["credit_sales_detail_for_approval"] = new eventclass_credit_sales_detail_for_approval;
include_once(getabspath("include/Cash_Disbursement_for_checking_events.php"));
$tableEvents["Cash_Disbursement_for_checking"] = new eventclass_Cash_Disbursement_for_checking;
include_once(getabspath("include/check_voucher_detail_for_checking_events.php"));
$tableEvents["check_voucher_detail_for_checking"] = new eventclass_check_voucher_detail_for_checking;
include_once(getabspath("include/check_voucher_detail2_for_checking_events.php"));
$tableEvents["check_voucher_detail2_for_checking"] = new eventclass_check_voucher_detail2_for_checking;
include_once(getabspath("include/Cash_Disbursement_for_approval_events.php"));
$tableEvents["Cash_Disbursement_for_approval"] = new eventclass_Cash_Disbursement_for_approval;
include_once(getabspath("include/check_voucher_detail_for_approval_events.php"));
$tableEvents["check_voucher_detail_for_approval"] = new eventclass_check_voucher_detail_for_approval;
include_once(getabspath("include/check_voucher_detail2_for_approval_events.php"));
$tableEvents["check_voucher_detail2_for_approval"] = new eventclass_check_voucher_detail2_for_approval;
include_once(getabspath("include/General_Journal_for_checking_events.php"));
$tableEvents["General_Journal_for_checking"] = new eventclass_General_Journal_for_checking;
include_once(getabspath("include/General_Journal_for_approval_events.php"));
$tableEvents["General_Journal_for_approval"] = new eventclass_General_Journal_for_approval;
include_once(getabspath("include/estimate_events.php"));
$tableEvents["estimate"] = new eventclass_estimate;
include_once(getabspath("include/estimate_detail_events.php"));
$tableEvents["estimate_detail"] = new eventclass_estimate_detail;
include_once(getabspath("include/purchase_request_events.php"));
$tableEvents["purchase_request"] = new eventclass_purchase_request;
include_once(getabspath("include/purchase_request_detail_events.php"));
$tableEvents["purchase_request_detail"] = new eventclass_purchase_request_detail;
include_once(getabspath("include/inv_adj_detail_events.php"));
$tableEvents["inv_adj_detail"] = new eventclass_inv_adj_detail;
include_once(getabspath("include/inventory_adj_events.php"));
$tableEvents["inventory_adj"] = new eventclass_inventory_adj;
include_once(getabspath("include/inventory_tranfer_events.php"));
$tableEvents["inventory_tranfer"] = new eventclass_inventory_tranfer;
include_once(getabspath("include/inventory_transfer_detail_events.php"));
$tableEvents["inventory_transfer_detail"] = new eventclass_inventory_transfer_detail;
include_once(getabspath("include/Customers_events.php"));
$tableEvents["Customers"] = new eventclass_Customers;
include_once(getabspath("include/Suppliers_events.php"));
$tableEvents["Suppliers"] = new eventclass_Suppliers;
include_once(getabspath("include/Statement_of_Account_events.php"));
$tableEvents["Statement_of_Account"] = new eventclass_Statement_of_Account;
include_once(getabspath("include/Inventory_Adjustment_for_checking_events.php"));
$tableEvents["Inventory_Adjustment_for_checking"] = new eventclass_Inventory_Adjustment_for_checking;
include_once(getabspath("include/inv_adj_detail_for_checking_events.php"));
$tableEvents["inv_adj_detail_for_checking"] = new eventclass_inv_adj_detail_for_checking;
include_once(getabspath("include/Inventory_Adjustment_for_approval_events.php"));
$tableEvents["Inventory_Adjustment_for_approval"] = new eventclass_Inventory_Adjustment_for_approval;
include_once(getabspath("include/inv_adj_detail_for_approval_events.php"));
$tableEvents["inv_adj_detail_for_approval"] = new eventclass_inv_adj_detail_for_approval;
include_once(getabspath("include/Estimate_for_approval_events.php"));
$tableEvents["Estimate_for_approval"] = new eventclass_Estimate_for_approval;
include_once(getabspath("include/Estimate_for_checking_events.php"));
$tableEvents["Estimate_for_checking"] = new eventclass_Estimate_for_checking;
include_once(getabspath("include/estimate_detail_for_checking_events.php"));
$tableEvents["estimate_detail_for_checking"] = new eventclass_estimate_detail_for_checking;
include_once(getabspath("include/estimate_detail_for_approval_events.php"));
$tableEvents["estimate_detail_for_approval"] = new eventclass_estimate_detail_for_approval;
include_once(getabspath("include/Follow_up_events.php"));
$tableEvents["Follow_up"] = new eventclass_Follow_up;
include_once(getabspath("include/tasks_events.php"));
$tableEvents["tasks"] = new eventclass_tasks;
include_once(getabspath("include/Project_phases_events.php"));
$tableEvents["Project_phases"] = new eventclass_Project_phases;
include_once(getabspath("include/Prospect_customers_to_Customer_events.php"));
$tableEvents["Prospect_customers_to_Customer"] = new eventclass_Prospect_customers_to_Customer;
include_once(getabspath("include/production_request_events.php"));
$tableEvents["production_request"] = new eventclass_production_request;
include_once(getabspath("include/production_request_detail_events.php"));
$tableEvents["production_request_detail"] = new eventclass_production_request_detail;
include_once(getabspath("include/Credit_Card_monitoring_events.php"));
$tableEvents["Credit_Card_monitoring"] = new eventclass_Credit_Card_monitoring;
include_once(getabspath("include/Purchase_Request_for_approval_events.php"));
$tableEvents["Purchase_Request_for_approval"] = new eventclass_Purchase_Request_for_approval;
include_once(getabspath("include/purchase_request_detail_approval_events.php"));
$tableEvents["purchase_request_detail_approval"] = new eventclass_purchase_request_detail_approval;
include_once(getabspath("include/Production_Request_for_approval_events.php"));
$tableEvents["Production_Request_for_approval"] = new eventclass_Production_Request_for_approval;
include_once(getabspath("include/Inventory_Transfer_for_approval_events.php"));
$tableEvents["Inventory_Transfer_for_approval"] = new eventclass_Inventory_Transfer_for_approval;
include_once(getabspath("include/inventory_transfer_detail_for_approval_events.php"));
$tableEvents["inventory_transfer_detail_for_approval"] = new eventclass_inventory_transfer_detail_for_approval;
include_once(getabspath("include/Purchase_Request_for_checking_events.php"));
$tableEvents["Purchase_Request_for_checking"] = new eventclass_Purchase_Request_for_checking;
include_once(getabspath("include/Production_Request_for_checking_events.php"));
$tableEvents["Production_Request_for_checking"] = new eventclass_Production_Request_for_checking;
include_once(getabspath("include/Inventory_Transfer_for_checking_events.php"));
$tableEvents["Inventory_Transfer_for_checking"] = new eventclass_Inventory_Transfer_for_checking;
include_once(getabspath("include/inventory_transfer_detail_for_checking_events.php"));
$tableEvents["inventory_transfer_detail_for_checking"] = new eventclass_inventory_transfer_detail_for_checking;
include_once(getabspath("include/Backload_for_approval_events.php"));
$tableEvents["Backload_for_approval"] = new eventclass_Backload_for_approval;
include_once(getabspath("include/backload_detail_for_approval_events.php"));
$tableEvents["backload_detail_for_approval"] = new eventclass_backload_detail_for_approval;
include_once(getabspath("include/Backload_for_checking_events.php"));
$tableEvents["Backload_for_checking"] = new eventclass_Backload_for_checking;
include_once(getabspath("include/backload_detail_for_checking_events.php"));
$tableEvents["backload_detail_for_checking"] = new eventclass_backload_detail_for_checking;
include_once(getabspath("include/Cash_Receipt_for_approval_events.php"));
$tableEvents["Cash_Receipt_for_approval"] = new eventclass_Cash_Receipt_for_approval;
include_once(getabspath("include/Cash_Receipt_for_checking_events.php"));
$tableEvents["Cash_Receipt_for_checking"] = new eventclass_Cash_Receipt_for_checking;
include_once(getabspath("include/cash_receipt_detail_for_checking_events.php"));
$tableEvents["cash_receipt_detail_for_checking"] = new eventclass_cash_receipt_detail_for_checking;
include_once(getabspath("include/cash_receipt_detail_for_approval_events.php"));
$tableEvents["cash_receipt_detail_for_approval"] = new eventclass_cash_receipt_detail_for_approval;
include_once(getabspath("include/Service_Report_for_approval_events.php"));
$tableEvents["Service_Report_for_approval"] = new eventclass_Service_Report_for_approval;
include_once(getabspath("include/Service_Report_for_checking_events.php"));
$tableEvents["Service_Report_for_checking"] = new eventclass_Service_Report_for_checking;
include_once(getabspath("include/service_report_detail_for_approval_events.php"));
$tableEvents["service_report_detail_for_approval"] = new eventclass_service_report_detail_for_approval;
include_once(getabspath("include/service_report_detail_for_checking_events.php"));
$tableEvents["service_report_detail_for_checking"] = new eventclass_service_report_detail_for_checking;
include_once(getabspath("include/company_info_events.php"));
$tableEvents["company_info"] = new eventclass_company_info;
include_once(getabspath("include/return_events.php"));
$tableEvents["return"] = new eventclass_return;
include_once(getabspath("include/return_detail_events.php"));
$tableEvents["return_detail"] = new eventclass_return_detail;
include_once(getabspath("include/fixed_asset_issue_events.php"));
$tableEvents["fixed_asset_issue"] = new eventclass_fixed_asset_issue;
include_once(getabspath("include/fixed_asset_issue_detail_events.php"));
$tableEvents["fixed_asset_issue_detail"] = new eventclass_fixed_asset_issue_detail;
include_once(getabspath("include/production_request_detail_for_checking_events.php"));
$tableEvents["production_request_detail_for_checking"] = new eventclass_production_request_detail_for_checking;
include_once(getabspath("include/cash_disbursment_detail_for_approval_events.php"));
$tableEvents["cash_disbursment_detail_for_approval"] = new eventclass_cash_disbursment_detail_for_approval;
include_once(getabspath("include/cash_disbursment_detail_for_checking_events.php"));
$tableEvents["cash_disbursment_detail_for_checking"] = new eventclass_cash_disbursment_detail_for_checking;
include_once(getabspath("include/purchase_request_detail_for_checking_events.php"));
$tableEvents["purchase_request_detail_for_checking"] = new eventclass_purchase_request_detail_for_checking;
include_once(getabspath("include/trip_ticket_for_approval_events.php"));
$tableEvents["trip_ticket_for_approval"] = new eventclass_trip_ticket_for_approval;
include_once(getabspath("include/trip_ticket_for_checking_events.php"));
$tableEvents["trip_ticket_for_checking"] = new eventclass_trip_ticket_for_checking;
include_once(getabspath("include/quality_control_events.php"));
$tableEvents["quality_control"] = new eventclass_quality_control;
include_once(getabspath("include/quality_control_detail_events.php"));
$tableEvents["quality_control_detail"] = new eventclass_quality_control_detail;
include_once(getabspath("include/budget_events.php"));
$tableEvents["budget"] = new eventclass_budget;
include_once(getabspath("include/budget_detail_events.php"));
$tableEvents["budget_detail"] = new eventclass_budget_detail;
include_once(getabspath("include/repairs_and_maintenance_events.php"));
$tableEvents["repairs_and_maintenance"] = new eventclass_repairs_and_maintenance;
include_once(getabspath("include/repairs_and_maintenance_detail_events.php"));
$tableEvents["repairs_and_maintenance_detail"] = new eventclass_repairs_and_maintenance_detail;
include_once(getabspath("include/sales_order_events.php"));
$tableEvents["sales_order"] = new eventclass_sales_order;
include_once(getabspath("include/sales_order_detail_events.php"));
$tableEvents["sales_order_detail"] = new eventclass_sales_order_detail;
include_once(getabspath("include/vat_relief_importation_events.php"));
$tableEvents["vat_relief_importation"] = new eventclass_vat_relief_importation;
include_once(getabspath("include/vat_relief_purchases_events.php"));
$tableEvents["vat_relief_purchases"] = new eventclass_vat_relief_purchases;
include_once(getabspath("include/vat_relief_sales_events.php"));
$tableEvents["vat_relief_sales"] = new eventclass_vat_relief_sales;
include_once(getabspath("include/marketing_request_form_events.php"));
$tableEvents["marketing_request_form"] = new eventclass_marketing_request_form;
include_once(getabspath("include/budget_for_approval_events.php"));
$tableEvents["budget_for_approval"] = new eventclass_budget_for_approval;
include_once(getabspath("include/budget_for_checking_events.php"));
$tableEvents["budget_for_checking"] = new eventclass_budget_for_checking;
include_once(getabspath("include/request_for_payment_for_approval_events.php"));
$tableEvents["request_for_payment_for_approval"] = new eventclass_request_for_payment_for_approval;
include_once(getabspath("include/request_for_payment_for_checking_events.php"));
$tableEvents["request_for_payment_for_checking"] = new eventclass_request_for_payment_for_checking;
include_once(getabspath("include/Disposal_for_checking_events.php"));
$tableEvents["Disposal_for_checking"] = new eventclass_Disposal_for_checking;
include_once(getabspath("include/production_cost_detail_events.php"));
$tableEvents["production_cost_detail"] = new eventclass_production_cost_detail;
include_once(getabspath("include/check_book_registry_events.php"));
$tableEvents["check_book_registry"] = new eventclass_check_book_registry;
include_once(getabspath("include/request_for_payment_events.php"));
$tableEvents["request_for_payment"] = new eventclass_request_for_payment;
include_once(getabspath("include/request_for_payment_detail_events.php"));
$tableEvents["request_for_payment_detail"] = new eventclass_request_for_payment_detail;
include_once(getabspath("include/quotation_detail_events.php"));
$tableEvents["quotation_detail"] = new eventclass_quotation_detail;
include_once(getabspath("include/item_cost_recalculation_events.php"));
$tableEvents["item_cost_recalculation"] = new eventclass_item_cost_recalculation;
include_once(getabspath("include/issue_components_events.php"));
$tableEvents["issue_components"] = new eventclass_issue_components;
include_once(getabspath("include/issue_components_detail_events.php"));
$tableEvents["issue_components_detail"] = new eventclass_issue_components_detail;
include_once(getabspath("include/input_vat_allocation_events.php"));
$tableEvents["input_vat_allocation"] = new eventclass_input_vat_allocation;
include_once(getabspath("include/packing_list_for_checking_events.php"));
$tableEvents["packing_list_for_checking"] = new eventclass_packing_list_for_checking;
include_once(getabspath("include/packing_list_for_approval_events.php"));
$tableEvents["packing_list_for_approval"] = new eventclass_packing_list_for_approval;
include_once(getabspath("include/disposed_inv_detail_events.php"));
$tableEvents["disposed_inv_detail"] = new eventclass_disposed_inv_detail;
include_once(getabspath("include/disposed_inv_events.php"));
$tableEvents["disposed_inv"] = new eventclass_disposed_inv;
include_once(getabspath("include/disposed_inv_for_checking_events.php"));
$tableEvents["disposed_inv_for_checking"] = new eventclass_disposed_inv_for_checking;
include_once(getabspath("include/disposed_inv_for_approval_events.php"));
$tableEvents["disposed_inv_for_approval"] = new eventclass_disposed_inv_for_approval;
include_once(getabspath("include/packing_list_events.php"));
$tableEvents["packing_list"] = new eventclass_packing_list;
include_once(getabspath("include/packing_list_detail_events.php"));
$tableEvents["packing_list_detail"] = new eventclass_packing_list_detail;
include_once(getabspath("include/purchase_order_receiving_detail_events.php"));
$tableEvents["purchase_order_receiving_detail"] = new eventclass_purchase_order_receiving_detail;
include_once(getabspath("include/issue_components_for_approval_events.php"));
$tableEvents["issue_components_for_approval"] = new eventclass_issue_components_for_approval;
include_once(getabspath("include/issue_components_for_checking_events.php"));
$tableEvents["issue_components_for_checking"] = new eventclass_issue_components_for_checking;
include_once(getabspath("include/issue_components_detail_for_checking_events.php"));
$tableEvents["issue_components_detail_for_checking"] = new eventclass_issue_components_detail_for_checking;
include_once(getabspath("include/issue_components_detail_for_approval_events.php"));
$tableEvents["issue_components_detail_for_approval"] = new eventclass_issue_components_detail_for_approval;
include_once(getabspath("include/Purchases_Order_for_checking_events.php"));
$tableEvents["Purchases_Order_for_checking"] = new eventclass_Purchases_Order_for_checking;
include_once(getabspath("include/Purchases_Order_for_approval_events.php"));
$tableEvents["Purchases_Order_for_approval"] = new eventclass_Purchases_Order_for_approval;
include_once(getabspath("include/Receiving_for_checking_events.php"));
$tableEvents["Receiving_for_checking"] = new eventclass_Receiving_for_checking;
include_once(getabspath("include/Receiving_for_approval_events.php"));
$tableEvents["Receiving_for_approval"] = new eventclass_Receiving_for_approval;
include_once(getabspath("include/Center_Replenishment_for_approval_events.php"));
$tableEvents["Center_Replenishment_for_approval"] = new eventclass_Center_Replenishment_for_approval;
include_once(getabspath("include/Center_Replenishment_for_checking_events.php"));
$tableEvents["Center_Replenishment_for_checking"] = new eventclass_Center_Replenishment_for_checking;
include_once(getabspath("include/quality_control_for_approval_events.php"));
$tableEvents["quality_control_for_approval"] = new eventclass_quality_control_for_approval;
include_once(getabspath("include/quality_control_for_checking_events.php"));
$tableEvents["quality_control_for_checking"] = new eventclass_quality_control_for_checking;
include_once(getabspath("include/opportunity_events.php"));
$tableEvents["opportunity"] = new eventclass_opportunity;
include_once(getabspath("include/Current_Accounts_events.php"));
$tableEvents["Current_Accounts"] = new eventclass_Current_Accounts;
include_once(getabspath("include/marketing_request_form_for_checking_events.php"));
$tableEvents["marketing_request_form_for_checking"] = new eventclass_marketing_request_form_for_checking;
include_once(getabspath("include/marketing_request_form_for_approval_events.php"));
$tableEvents["marketing_request_form_for_approval"] = new eventclass_marketing_request_form_for_approval;
include_once(getabspath("include/production_detail_events.php"));
$tableEvents["production_detail"] = new eventclass_production_detail;
include_once(getabspath("include/quality_control_detail_for_checking_events.php"));
$tableEvents["quality_control_detail_for_checking"] = new eventclass_quality_control_detail_for_checking;
include_once(getabspath("include/Recon_withdraw_events.php"));
$tableEvents["Recon_withdraw"] = new eventclass_Recon_withdraw;
include_once(getabspath("include/request_for_quote_events.php"));
$tableEvents["request_for_quote"] = new eventclass_request_for_quote;
include_once(getabspath("include/request_for_quoter_detail_events.php"));
$tableEvents["request_for_quoter_detail"] = new eventclass_request_for_quoter_detail;
include_once(getabspath("include/request_for_quote_for_checking_events.php"));
$tableEvents["request_for_quote_for_checking"] = new eventclass_request_for_quote_for_checking;
include_once(getabspath("include/request_for_quote_for_approval_events.php"));
$tableEvents["request_for_quote_for_approval"] = new eventclass_request_for_quote_for_approval;
include_once(getabspath("include/request_for_quoter_detail_for_checking_events.php"));
$tableEvents["request_for_quoter_detail_for_checking"] = new eventclass_request_for_quoter_detail_for_checking;
include_once(getabspath("include/request_for_quoter_detail_for_approval_events.php"));
$tableEvents["request_for_quoter_detail_for_approval"] = new eventclass_request_for_quoter_detail_for_approval;
include_once(getabspath("include/Setup_Wizard_events.php"));
$tableEvents["Setup_Wizard"] = new eventclass_Setup_Wizard;
include_once(getabspath("include/project_bill_of_material_events.php"));
$tableEvents["project_bill_of_material"] = new eventclass_project_bill_of_material;
include_once(getabspath("include/project_progress_billing_events.php"));
$tableEvents["project_progress_billing"] = new eventclass_project_progress_billing;
include_once(getabspath("include/change_password_events.php"));
$tableEvents["change_password"] = new eventclass_change_password;
include_once(getabspath("include/checklist_events.php"));
$tableEvents["checklist"] = new eventclass_checklist;
include_once(getabspath("include/Check_Release_events.php"));
$tableEvents["Check_Release"] = new eventclass_Check_Release;
include_once(getabspath("include/canvas_events.php"));
$tableEvents["canvas"] = new eventclass_canvas;
include_once(getabspath("include/canvas_detail_events.php"));
$tableEvents["canvas_detail"] = new eventclass_canvas_detail;
include_once(getabspath("include/bank_collection_events.php"));
$tableEvents["bank_collection"] = new eventclass_bank_collection;
include_once(getabspath("include/bank_disbursement_events.php"));
$tableEvents["bank_disbursement"] = new eventclass_bank_disbursement;
include_once(getabspath("include/project_progress_events.php"));
$tableEvents["project_progress"] = new eventclass_project_progress;
include_once(getabspath("include/inventory_tranfer_request_events.php"));
$tableEvents["inventory_tranfer_request"] = new eventclass_inventory_tranfer_request;
include_once(getabspath("include/branch_sales_events.php"));
$tableEvents["branch_sales"] = new eventclass_branch_sales;
include_once(getabspath("include/branch_sales_detail_events.php"));
$tableEvents["branch_sales_detail"] = new eventclass_branch_sales_detail;
include_once(getabspath("include/inventory_tranfer_view_events.php"));
$tableEvents["inventory_tranfer_view"] = new eventclass_inventory_tranfer_view;
include_once(getabspath("include/inventory_transfer_detail_view_events.php"));
$tableEvents["inventory_transfer_detail_view"] = new eventclass_inventory_transfer_detail_view;
include_once(getabspath("include/import_inv_adj_events.php"));
$tableEvents["import_inv_adj"] = new eventclass_import_inv_adj;
include_once(getabspath("include/import_inventory_transfer_events.php"));
$tableEvents["import_inventory_transfer"] = new eventclass_import_inventory_transfer;
include_once(getabspath("include/loyalty_points_events.php"));
$tableEvents["loyalty_points"] = new eventclass_loyalty_points;
include_once(getabspath("include/expense_events.php"));
$tableEvents["expense"] = new eventclass_expense;
include_once(getabspath("include/picklist_events.php"));
$tableEvents["picklist"] = new eventclass_picklist;
include_once(getabspath("include/picklist_detail_events.php"));
$tableEvents["picklist_detail"] = new eventclass_picklist_detail;
include_once(getabspath("include/projects_events.php"));
$tableEvents["projects"] = new eventclass_projects;
include_once(getabspath("include/picklist_for_approval_events.php"));
$tableEvents["picklist_for_approval"] = new eventclass_picklist_for_approval;
include_once(getabspath("include/picklist_for_checking_events.php"));
$tableEvents["picklist_for_checking"] = new eventclass_picklist_for_checking;
include_once(getabspath("include/picklist_detail_for_approval_events.php"));
$tableEvents["picklist_detail_for_approval"] = new eventclass_picklist_detail_for_approval;
include_once(getabspath("include/picklist_detail_for_checking_events.php"));
$tableEvents["picklist_detail_for_checking"] = new eventclass_picklist_detail_for_checking;
include_once(getabspath("include/return_components_events.php"));
$tableEvents["return_components"] = new eventclass_return_components;
include_once(getabspath("include/open_production_events.php"));
$tableEvents["open_production"] = new eventclass_open_production;
include_once(getabspath("include/fixed_asset_time_usage_events.php"));
$tableEvents["fixed_asset_time_usage"] = new eventclass_fixed_asset_time_usage;
include_once(getabspath("include/fixed_asset_time_usage_detail_events.php"));
$tableEvents["fixed_asset_time_usage_detail"] = new eventclass_fixed_asset_time_usage_detail;
include_once(getabspath("include/open_cases_events.php"));
$tableEvents["open_cases"] = new eventclass_open_cases;
include_once(getabspath("include/production_stage_detail_events.php"));
$tableEvents["production_stage_detail"] = new eventclass_production_stage_detail;
include_once(getabspath("include/phase_dropdown_events.php"));
$tableEvents["phase_dropdown"] = new eventclass_phase_dropdown;
include_once(getabspath("include/inventory_tranfer_mobile_events.php"));
$tableEvents["inventory_tranfer_mobile"] = new eventclass_inventory_tranfer_mobile;
include_once(getabspath("include/inventory_transfer_detail_mobile_events.php"));
$tableEvents["inventory_transfer_detail_mobile"] = new eventclass_inventory_transfer_detail_mobile;
include_once(getabspath("include/item_with_balances_events.php"));
$tableEvents["item_with_balances"] = new eventclass_item_with_balances;
include_once(getabspath("include/import_bank_statement_events.php"));
$tableEvents["Import_Bank_Statement"] = new eventclass_import_bank_statement;
include_once(getabspath("include/import_sales_events.php"));
$tableEvents["import_sales"] = new eventclass_import_sales;
include_once(getabspath("include/production_stage_report_events.php"));
$tableEvents["production_stage_report"] = new eventclass_production_stage_report;
include_once(getabspath("include/asset_accountability_events.php"));
$tableEvents["asset_accountability"] = new eventclass_asset_accountability;
include_once(getabspath("include/asset_accountability_detail_events.php"));
$tableEvents["asset_accountability_detail"] = new eventclass_asset_accountability_detail;
include_once(getabspath("include/cash_pullout_events.php"));
$tableEvents["cash_pullout"] = new eventclass_cash_pullout;
include_once(getabspath("include/cash_pullout_detail_events.php"));
$tableEvents["cash_pullout_detail"] = new eventclass_cash_pullout_detail;
include_once(getabspath("include/liquidation_events.php"));
$tableEvents["liquidation"] = new eventclass_liquidation;
include_once(getabspath("include/liquidation_detail_events.php"));
$tableEvents["liquidation_detail"] = new eventclass_liquidation_detail;
include_once(getabspath("include/loan_events.php"));
$tableEvents["loan"] = new eventclass_loan;
include_once(getabspath("include/marketing_job_order_events.php"));
$tableEvents["marketing_job_order"] = new eventclass_marketing_job_order;
include_once(getabspath("include/spoilage_events.php"));
$tableEvents["spoilage"] = new eventclass_spoilage;
include_once(getabspath("include/spoilage_detail_events.php"));
$tableEvents["spoilage_detail"] = new eventclass_spoilage_detail;
include_once(getabspath("include/tara_sheet_events.php"));
$tableEvents["tara_sheet"] = new eventclass_tara_sheet;
include_once(getabspath("include/transmittal_slip_events.php"));
$tableEvents["transmittal_slip"] = new eventclass_transmittal_slip;
include_once(getabspath("include/canvass_events.php"));
$tableEvents["canvass"] = new eventclass_canvass;
include_once(getabspath("include/canvass_for_checking_events.php"));
$tableEvents["canvass_for_checking"] = new eventclass_canvass_for_checking;
include_once(getabspath("include/canvass_for_approval_events.php"));
$tableEvents["canvass_for_approval"] = new eventclass_canvass_for_approval;
include_once(getabspath("include/canvass_to_purchase_order_events.php"));
$tableEvents["canvass_to_purchase_order"] = new eventclass_canvass_to_purchase_order;
include_once(getabspath("include/open_cv_for_por_events.php"));
$tableEvents["open_cv_for_por"] = new eventclass_open_cv_for_por;
include_once(getabspath("include/open_cv_for_liq_events.php"));
$tableEvents["open_cv_for_liq"] = new eventclass_open_cv_for_liq;

$xt = new Xtempl();

//array of params for classes
$params = array();
$params["id"] = postvalue_number("id"); 
$params["xt"] = &$xt;
$params["tName"] = GLOBAL_PAGES;
$params["pageType"] = PAGE_MENU;
$params["isGroupSecurity"] = $isGroupSecurity;
$params["needSearchClauseObj"] = false;
$params["pageName"] = postvalue("page"); 

$pageObject = new MenuPage($params);
$pageObject->init();

$pageObject->process();
?>